INTERFACE
SUBROUTINE GNHSIMAD(KSTART,KPROF,&
 & POROGL ,POROGM,&
 & PUT1 ,PVT1 ,PTT1 ,PSVD1,&
 & PLHU ,PLHV ,PLNPR,&
 & PE3Y ,PERR ,PEGHL ,PEGHM,&
 & PGSPD1,&
 & PUT15 ,PVT15 ,PTT15 ,PSVD15,&
 & PLHU5 ,PLHV5 ,PLNPR5,&
 & PE3Y5 ,PERR5 ,PEGHL5 ,PEGHM5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: POROGL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: POROGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSVD1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLHU(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLHV(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PE3Y(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PERR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEGHL(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PEGHM(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGSPD1(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PUT15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PVT15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PTT15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PSVD15(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHU5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLHV5(NPROMA,0:NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) :: PE3Y5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PERR5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEGHL5(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(IN) :: PEGHM5(NPROMA,NFLEVG)
END SUBROUTINE GNHSIMAD
END INTERFACE
